SET NOCOUNT ON;

INSERT INTO msn.Quotes
    ( [LoadDate]
    , [LoadTime]
    , [MarketDate]
    , [MarketTime]
    , [Symbol]
    , [MsnSymbol]
    , [Bid]
    , [Ask]
    , [BidSize]
    , [AskSize]
    , [Open]
    , [High]
    , [Low]
    , [Last]
    , [Volume]
    , [AvgVolume]
    , [LastPriceDate]
    , [LastPriceTime]
    , [PreviousClose]
    , [Change]
    , [ChangePercent]
    , [Post]
    , [PostChange]
    , [PostChangePercent]
    , [YearHigh]
    , [YearLow]
    , [PrCh1Mo]
    , [PrCh3Mo]
    , [PrCh6Mo]
    , [YRR]
    , [YTD]
    , [PE]
    , [DividendRate]
    , [DividendYield]
    , [MarketCap]
    , [Sym]
    , [FriendlyName]
    , [ShortName]
    , [Company]
    , [Market]
    , [Exchange]
    , [TimeZone]
    , [UtcOffset]
    , [InstrumentType]
    , [Currency]
    , [preIPO]
    )
SELECT
    t.[LoadDate]
    , t.[LoadTime]
    , t.[MarketDate]
    , t.[MarketTime]
    , t.[Symbol]
    , t.[MsnSymbol]
    , t.[Bid]
    , t.[Ask]
    , t.[BidSize]
    , t.[AskSize]
    , t.[Open]
    , t.[High]
    , t.[Low]
    , t.[Last]
    , t.[Volume]
    , t.[AvgVolume]
    , t.[LastPriceDate]
    , t.[LastPriceTime]
    , t.[PreviousClose]
    , t.[Change]
    , t.[ChangePercent]
    , t.[Post]
    , t.[PostChange]
    , t.[PostChangePercent]
    , t.[YearHigh]
    , t.[YearLow]
    , t.[PrCh1Mo]
    , t.[PrCh3Mo]
    , t.[PrCh6Mo]
    , t.[YRR]
    , t.[YTD]
    , t.[PE]
    , t.[DividendRate]
    , t.[DividendYield]
    , t.[MarketCap]
    , t.[Sym]
    , t.[FriendlyName]
    , t.[ShortName]
    , t.[Company]
    , t.[Market]
    , t.[Exchange]
    , t.[TimeZone]
    , t.[UtcOffset]
    , t.[InstrumentType]
    , t.[Currency]
    , t.[preIPO]
FROM
    (
    SELECT
        [LoadDate] AS [LoadDate]
        , [LoadTime] AS [LoadTime]
        , [MarketDate] AS [MarketDate]
        , [MarketTime] AS [MarketTime]
        , [Symbol] AS [Symbol]
        , [MsnSymbol] AS [MsnSymbol]
        , [Bid] AS [Bid]
        , [Ask] AS [Ask]
        , [BidSize] AS [BidSize]
        , [AskSize] AS [AskSize]
        , [Open] AS [Open]
        , [High] AS [High]
        , [Low] AS [Low]
        , [Last] AS [Last]
        , [Volume] AS [Volume]
        , [AvgVolume] AS [AvgVolume]
        , [LastPriceDate] AS [LastPriceDate]
        , [LastPriceTime] AS [LastPriceTime]
        , [PreviousClose] AS [PreviousClose]
        , [Change] AS [Change]
        , [ChangePercent] AS [ChangePercent]
        , [Post] AS [Post]
        , [PostChange] AS [PostChange]
        , [PostChangePercent] AS [PostChangePercent]
        , [YearHigh] AS [YearHigh]
        , [YearLow] AS [YearLow]
        , [PrCh1Mo] AS [PrCh1Mo]
        , [PrCh3Mo] AS [PrCh3Mo]
        , [PrCh6Mo] AS [PrCh6Mo]
        , [YRR] AS [YRR]
        , [YTD] AS [YTD]
        , [PE] AS [PE]
        , [DividendRate] AS [DividendRate]
        , [DividendYield] AS [DividendYield]
        , [MarketCap] AS [MarketCap]
        , [Sym] AS [Sym]
        , [FriendlyName] AS [FriendlyName]
        , [ShortName] AS [ShortName]
        , [Company] AS [Company]
        , [Market] AS [Market]
        , [Exchange] AS [Exchange]
        , [TimeZone] AS [TimeZone]
        , [UtcOffset] AS [UtcOffset]
        , [InstrumentType] AS [InstrumentType]
        , [Currency] AS [Currency]
        , [preIPO] AS [preIPO]
    FROM
        OPENROWSET(
            BULK 'C:\MarketData\csv\MsnMoneyQuotes.csv',
            FORMATFILE = 'C:\MarketData\bin\MsnMoneyQuotes.fmt',
            CODEPAGE = '1252',
            FIRSTROW = 2) t
    ) t
    LEFT OUTER JOIN msn.Quotes d
        ON d.Symbol = t.Symbol COLLATE SQL_Latin1_General_CP1_CI_AS AND d.LoadDate = t.LoadDate AND d.LoadTime = t.LoadTime
WHERE
    d.Symbol IS NULL
